RPING(1)

NAME
rping - RDMA CM connection and RDMA ping-pong test.

SYNOPSIS

rping -s [-v] [-V] [-d] [-P] [-a address] [-p port]
		[-C message_count] [-S message_size]
rping -c [-v] [-V] [-d] -a address [-p port]
		[-C message_count] [-S message_size]

DESCRIPTION
Establishes a reliable RDMA connection between two nodes using the librdmacm, optionally performs RDMA transfers between the nodes, then disconnects.

OPTIONS

-s  Run as the server.

-c  Run as the client.

-a address
    On the server, specifies the network address to bind the connection to. To bind to any address with IPv6 use -a ::0 . On the client, specifies the server address to connect to.

-p  Port number for listening server.

-v  Display ping data.

-V  Validate ping data.

-d  Display debug information.

-C message_count
    The number of messages to transfer over each connection. (default infinite)

-S message_size
    The size of each message transferred, in bytes. (default 100)

-P  Run the server in persistent mode. This allows multiple rping clients to connect to a single server instance. The server will run until killed.

NOTES
Because this test maps RDMA resources to userspace, users must ensure that they have available system resources and permissions. See the libibverbs README file for additional details.

SEE ALSO
rdma_cm(7), ucmatose(1), udaddy(1), mckey(1)